Bug 642699 - Booting a system with multiple encrypted devices over serial console, prompts for passphrase multiple times
Booting a system with multiple encrypted devices over serial console, prompts...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14-accepted/F14FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2010-10-13 11:26 EDT by James Laska
Modified: 2013-09-02 02:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: plymouth-0.8.4-0.20100823.6.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-18 01:45:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2010-10-13 11:26:51 EDT
Description of problem:

Plymouth used to only prompt for a passphrase once, and attempt to use that for all subsequent encrypted devices.  As of F-14-TC1, it appears that plymouth prompts for a passphrase for each encrypted device.  This is specific to serial console booting.

Version-Release number of selected component (if applicable):

plymouth-0.8.4-0.20100823.4.fc14

Steps to Reproduce:
1. Combine the following two tests
  * https://fedoraproject.org/wiki/QA:Testcase_Anaconda_User_Interface_serial_console
  * https://fedoraproject.org/wiki/QA:Testcase_Anaconda_autopart_(encrypted)_install
 
Actual results:

Prompted for a passphrase for each of the encrypted devices (tested 2 and 4)

Expected results:

Prompted only once, regardless of the number of encrypted devices (assuming the same passphrase is used for all devices)

Additional info:
Comment 1 Fedora Update System 2010-10-13 18:18:55 EDT
plymouth-0.8.4-0.20100823.5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/plymouth-0.8.4-0.20100823.5.fc14
Comment 2 Fedora Update System 2010-10-14 09:52:07 EDT
plymouth-0.8.4-0.20100823.5.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update plymouth'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/plymouth-0.8.4-0.20100823.5.fc14
Comment 3 James Laska 2010-10-15 11:06:56 EDT
Moving this back to ASSIGNED.  I don't believe this is resolved with plymouth-0.8.4-0.20100823.5.fc14. 

Discussed with Ray on IRC, and it appears an additional patch may need to be backported into F-14.

10:54:33   jlaska: halfline: I attempted to gather plymouth:debug information to post into the issue, but that just seems to hang on boot (might be sending output elsewhere, dunno)
10:55:09   halfline: jlaska: means plymouth is crashing
10:55:41   halfline: jlaska: if you run wth plymouth:debug and plymouth crashes then it will pause() so you can attach with gdb. should probably only do that if the root fs is mounted i guess...
10:56:17   halfline: jlaska: and just to be sure, you rebuilt the initrd after updating?
10:56:27  * jlaska did a fresh install with 'updates-testing' enabled
10:56:53   jlaska: halfline: so the initrd should have only been created using the latest plymouth
10:57:10   halfline: jlaska: there's some output before it hangs right?
10:57:13   halfline: can you post that output?
10:57:39   jlaska: halfline: http://fpaste.org/9Vym/
10:59:44   halfline: jlaska: sigh, the plymouth in f14 is older than i thought
Comment 4 James Laska 2010-10-15 11:37:30 EDT
Tested plymouth-0.8.4-0.20100823.6.fc14 (http://koji.fedoraproject.org/koji/buildinfo?buildID=200648)

# rpm -q plymouth
plymouth-0.8.4-0.20100823.6.fc14.x86_64

# /usr/libexec/plymouth/plymouth-update-initrd 
# reboot

...

Password for /dev/sdb1 (luks-2b6...):*********

^^^ only prompted one time.  The same passphrase was used for remaining encrypted devices.

Moving back to MODIFIED, pending updated bodhi that contains plymouth-0.8.4-0.20100823.6.fc14
Comment 5 James Laska 2010-10-15 14:19:56 EDT
Easy workaround, enter the passphrase for each time prompted.  However, I'd like to request including this fix in F-14 as it's tested, and sufficiently annoying for folks doing serial-console installations that include encrypted partitions (virt).
Comment 6 Fedora Update System 2010-10-17 11:42:14 EDT
plymouth-0.8.4-0.20100823.6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update plymouth'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/plymouth-0.8.4-0.20100823.6.fc14
Comment 7 Fedora Update System 2010-10-18 01:44:59 EDT
plymouth-0.8.4-0.20100823.6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.